Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.fonts.autodetect
Class FontInfoFinder

    java.lang.Object
      org.apache.fop.fonts.autodetect.FontInfoFinder

    public class FontInfoFinder

extends java.lang.Object

Attempts to determine correct FontInfo

Constructor Summary
`FontInfoFinder()`

Method Summary
`EmbedFontInfo[]` | `find(java.net.URL fontURL, FontResolver resolver, FontCache fontCache)` Attempts to determine EmbedFontInfo from a given font file.
`void` | `setEventListener(FontEventListener listener)` Sets the font event listener that can be used to receive events about particular events in this class.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FontInfoFinder

    public FontInfoFinder()

Method Detail

### setEventListener

    public void setEventListener(FontEventListener listener)

  Sets the font event listener that can be used to receive events about particular events in this class.

  Parameters:
    `listener` - the font event listener

### find

    public EmbedFontInfo[] find(java.net.URL fontURL,
                                FontResolver resolver,
                                FontCache fontCache)

  Attempts to determine EmbedFontInfo from a given font file.

  Parameters:
    `fontURL` - font URL. Assumed to be local.
    `resolver` - font resolver used to resolve font
    `fontCache` - font cache (may be null)
  Returns:
    an array of newly created embed font info. Generally, this array will have only one entry, unless the fontUrl is a TrueType Collection

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.